<?php

declare(strict_types=1);

namespace FiloBlu\Refilo\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

/**
 *
 */
class ServiceAdapter implements OptionSourceInterface
{

    public function __construct()
    {

    }

    /**
     * Return array of options as value-label pairs
     *
     * @return array Format: array(array('value' => '<value>', 'label' => '<label>'), ...)
     */
    public function toOptionArray()
    {
        $options[] = [
            'value' => '',
            'label' => ''
        ];
        $options[] = [
            'value' => 'clerk',
            'label' => 'Clerk'
        ];
        $options[] = [
            'value' => 'clerkjs',
            'label' => 'Clerk.js'
        ];

        return $options;
    }
}
